Skip to navigation

Why 'yum update' fails with dependency resolution issue referencing 'tomcat6-admin-webapps' ?

Updated 2013-11-18T05:15:40+00:00

Issue

  • yum update fails with dependency resolution issue referencing tomcat6-admin-webapps
--> Finished Dependency Resolution
Error: Package: tomcat6-admin-webapps-6.0.24-36.el6_2.noarch (installed)
           Requires: tomcat6 = 6.0.24-36.el6_2
           Removing: tomcat6-6.0.24-36.el6_2.noarch (@rhel-x86_64-server-6)
               tomcat6 = 6.0.24-36.el6_2
           Updated By: tomcat6-6.0.24-45.el6.noarch (rhel-x86_64-server-6)
               tomcat6 = 6.0.24-45.el6
           Available: tomcat6-6.0.24-15.el6.noarch (rhel-x86_64-server-6)
               tomcat6 = 6.0.24-15.el6
           Available: tomcat6-6.0.24-24.el6_0.noarch (rhel-x86_64-server-6)
               tomcat6 = 6.0.24-24.el6_0
           Available: tomcat6-6.0.24-33.el6.noarch (rhel-x86_64-server-6)
               tomcat6 = 6.0.24-33.el6
           Available: tomcat6-6.0.24-35.el6_1.noarch (rhel-x86_64-server-6)
               tomcat6 = 6.0.24-35.el6_1
 You could try using --skip-broken to work around the problem
 You could try running: rpm -Va --nofiles --nodigest

Environment

  • Red Hat Enterprise Linux 6 (All versions)

Subscriber content preview. For full access to the Red Hat Knowledgebase, please log in.

Not a subscriber? Learn more about the benefits of Red Hat Subscriptions.